Bug 446836 - FutureFeature package popularity, and user rating request
FutureFeature package popularity, and user rating request
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 08:00 EDT by Pedro Bezunartea
Modified: 2014-03-16 23:14 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:04:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Bezunartea 2008-05-16 08:00:42 EDT
Description of the request:
It'd be very nice if we could have a popularity, and even more user-oriented
aspects available for every package. Very similar to ubuntu's popularity meter,
but better.

I'm sure that getting the information about how many different users install a
certain package is not very difficult to do today. We only need something like
smolt to send information about the installed software, and show it somehow
using yum. But I'm taking about a user-rating system that would allow users to
rate every package in their machine, depending on the hardware. This way a
certain package might get different ratings that disagree with their popularity.

I think this information would be very useful fto users in general, and
specially useful to developers, who will be able to check why a certain package
doesn't work in certain hardware, and even cross that information with bugzilla.

This information should be available through the "Add/Remove Software"
application. The popularity and user rating could appear as a 5 stars based
system (or 0-100 even better), and then the user could enter his or her rating,
by right-cliking on the package for example. This information would then update
the smolt profile.

The only problem I see from the implementation point of view, is that you need
some kind of central registry where all the ratings would be stored, and be
updated every time the smolt update occured... but I'm pretty sure somebody will
come up with a distributed way of addressing this issue.
Comment 1 Bill Nottingham 2008-06-12 15:42:14 EDT
Realistically, this should tie into something like the mugshot data.
Comment 2 Bug Zapper 2009-06-09 20:53:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Pedro Bezunartea 2009-06-10 06:39:36 EDT
Will this "feature request" be transferred to next releases?
Comment 4 Bug Zapper 2009-07-14 12:04:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.